Package: org.codehaus.groovy.vmplugin.v10

## [Java] Class PluginDefaultGroovyMethods

- org.codehaus.groovy.vmplugin.v10.PluginDefaultGroovyMethods

-     public class PluginDefaultGroovyMethods
      extends Object

  Defines new Groovy methods which appear on normal JDK 10 classes inside the Groovy environment.

  Since:
    4.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `getPid(Runtime self)` Get the pid of the current Java process

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static String getPid(Runtime self)

      Get the pid of the current Java process

      Parameters:
        self
      Returns:
        the pid
      Since:
        4.0.0